> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a webhook subscription

> Get a webhook subscription by its unique ID.



## OpenAPI

````yaml /openapi-public.yml get /api/v1/notifications/webhooks/{webhook_id}
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Prescriptions
    description: Prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/notifications/webhooks/{webhook_id}:
    get:
      tags:
        - Notifications
      summary: Get a webhook subscription
      description: Get a webhook subscription by its unique ID.
      parameters:
        - name: webhook_id
          in: path
          required: true
          description: Unique (UUID) identifier for the webhook subscription
          schema:
            type: string
      responses:
        '200':
          description: Successful response with webhook subscription
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationSubscription'
components:
  schemas:
    NotificationSubscription:
      type: object
      allOf:
        - $ref: '#/components/schemas/ID'
        - type: object
          properties:
            created_at:
              type: string
              format: date-time
              description: Date and time the subscription was created
            is_active:
              type: boolean
              example: true
              description: Whether the subscription is currently active
            type:
              type: string
              example: webhook
              description: Type of subscription, one of 'webhook' or 'email' or 'sms'
            user_id:
              type: string
              example: 0227d1e5-ba9a-42b5-8fe2-38882aa65708
              description: >-
                ID of the user who created the subscription; for email or sms
                endpoints, this is the recipient.
            subscriptions:
              type: array
              items:
                $ref: '#/components/schemas/NotificationEvent'
    ID:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
          example: 0227d1e5-ba9a-42b5-8fe2-38882aa65708
    NotificationEvent:
      type: object
      properties:
        name:
          type: string
          description: Readable name of the event
          example: Order Created
        description:
          type: string
          example: Triggered when an order is created
          description: Description of the event
        event_code:
          type: string
          example: order.created
          description: Dot-separated unique code for the event; or 'all' for all events
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````